Commit eeb1bfbd authored by Alexey Roslyakov's avatar Alexey Roslyakov Committed by Arnout Vandecappelle (Essensium/Mind)
Browse files

python-protobuf: update dependencies



Since version 3.0.0 protobuf is compatible with Python3, remove
Python2-only dependency.

It depends on python-six now, add this missing dependency.
Signed-off-by: default avatarAlexey Roslyakov <alexey.roslyakov@gmail.com>
Reviewed-by: default avatarYegor Yefremov <yegorslists@googlemail.com>
Signed-off-by: default avatarArnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
parent 04d1699b
config BR2_PACKAGE_PYTHON_PROTOBUF
bool "python-protobuf"
depends on BR2_PACKAGE_PYTHON
# host-protobuf only builds on certain architectures
depends on BR2_HOSTARCH = "x86_64" || BR2_HOSTARCH = "x86"
depends on BR2_HOST_GCC_AT_LEAST_4_5 # host-protobuf
select BR2_PACKAGE_PYTHON_SIX # runtime
help
Python implementation of the Google Protocol Buffers.
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment